foundation-0.0.17: Alternative prelude with batteries and no dependencies

Safe Haskell | None
Language | Haskell2010

Foundation.Math.Trigonometry

Synopsis

- class Trigonometry a where

# Documentation

class Trigonometry a where Source #

Method to support basic trigonometric functions

Minimal complete definition

pi, sin, cos, tan, asin, acos, atan, sinh, cosh, tanh, asinh, acosh, atanh

Methods

pi :: a Source #

the famous pi value

sin :: a -> a Source #

sine

cos :: a -> a Source #

cosine

tan :: a -> a Source #

tan

asin :: a -> a Source #

sine-1

acos :: a -> a Source #

cosine-1

atan :: a -> a Source #

tangent-1

sinh :: a -> a Source #

hyperbolic sine

cosh :: a -> a Source #

hyperbolic cosine

tanh :: a -> a Source #

hyperbolic tangent

asinh :: a -> a Source #

hyperbolic sine-1

acosh :: a -> a Source #

hyperbolic cosine-1

atanh :: a -> a Source #

hyperbolic tangent-1

Instances

Trigonometry Double Source # |

Methods

pi :: Double Source #

sin :: Double -> Double Source #

cos :: Double -> Double Source #

tan :: Double -> Double Source #

asin :: Double -> Double Source #

acos :: Double -> Double Source #

atan :: Double -> Double Source #

sinh :: Double -> Double Source #

cosh :: Double -> Double Source #

tanh :: Double -> Double Source #

asinh :: Double -> Double Source #

acosh :: Double -> Double Source #

atanh :: Double -> Double Source #

Trigonometry Float Source # |

Methods

pi :: Float Source #

sin :: Float -> Float Source #

cos :: Float -> Float Source #

tan :: Float -> Float Source #

asin :: Float -> Float Source #

acos :: Float -> Float Source #

atan :: Float -> Float Source #

sinh :: Float -> Float Source #

cosh :: Float -> Float Source #

tanh :: Float -> Float Source #

asinh :: Float -> Float Source #

acosh :: Float -> Float Source #

atanh :: Float -> Float Source #